const { Sequelize } = require('sequelize');
require('dotenv').config();

const sequelize = new Sequelize(
  process.env.DB_NAME || 'DATABASE_NAME', 
  process.env.DB_USER || 'DATABASE_USER', 
  process.env.DB_PASS || 'DATABASE_PASS', 
  {
    host: process.env.DB_HOST || 'localhost',
    dialect: 'mysql',
    logging: false
  }
);

module.exports = sequelize;
